
<!-- README.md is generated from README.Rmd. Please edit that file -->

<!-- badges: start -->

[![Lifecycle:
stable](https://img.shields.io/badge/lifecycle-stable-brightgreen.svg)](https://lifecycle.r-lib.org/articles/stages.html#stable)
<!-- badges: end -->

# InterCellar <img src="inst/app/www/logo.png" align="right" alt="" width="150" />

an R/Shiny app for interactive analysis and exploration of cell-cell
communication based on single-cell transcriptomics data

## Description

`InterCellar` allows researchers to interactively analyze the results of
cell-cell communication from scRNA-seq data. Starting from pre-computed
ligand-receptor interactions, `InterCellar` provides three separate
views of cell-cell communication (in the so-called `universes`) to
explore cell clusters, genes and biological functions. Moreover,
`InterCellar` enables the definition of interaction-pair (int-pair)
modules, which are groups of int-pairs that share a similar functional
pattern, and links them to significant functional terms from Pathways or
Gene Ontology.

`InterCellar` does not require any programming skills and provides
options to conduct a customized analysis, several visualizations and the
possibility to download figures and tables.

## Installation

`InterCellar` is distributed as a
[Bioconductor](https://www.bioconductor.org/) package and requires R
(version “4.1”) and Bioconductor (version “3.13”).

To install `InterCellar` package enter:

``` r
if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")

BiocManager::install("InterCellar")
```

## Launching the app

Once `InterCellar` is successfully installed, it can be loaded as
follow:

``` r
library(InterCellar)
```

In order to start the app, please run the following command:

``` r
InterCellar::run_app( reproducible = TRUE )
```

`InterCellar` should be opening in a browser. If this does not happen
automatically, please open a browser and navigate to the address shown
(for example, `Listening on http://127.0.0.1:6134`). The flag
`reproducible = TRUE` ensures that your results will be reproducible
across R sessions.

## User Guide

First time here? Please have a look at `InterCellar` user guide
[here](http://bioconductor.org/packages/devel/bioc/vignettes/InterCellar/inst/doc/user_guide.html).

## Code of Conduct

Please note that the InterCellar project is released with a [Contributor
Code of
Conduct](https://contributor-covenant.org/version/2/0/CODE_OF_CONDUCT.html).
By contributing to this project, you agree to abide by its terms.
